stages:
  - build
  - test
  
cache:
  paths:
    - dotnet-core/**/obj
    - dotnet-core/**/bin

dotnet-core:build:
  image: microsoft/dotnet:sdk
  stage: build
  script:
    - cd dotnet-core
    - dotnet build

dotnet-core:test:
  image: microsoft/dotnet:sdk
  stage: test
  script:
    - cd dotnet-core
    - dotnet test Handlers.Tests/Handlers.Tests.csproj

angular:build:
  image: node:latest
  stage: build
  script:
    - cd angular
    - npm install
    - npm run build
  artifacts:
    paths:
      - angular/node_modules/

angular:test:
  image: amio/node-chrome
  stage: test
  script:
    - cd angular
    - npm run test:ci
  dependencies:
    - angular:build

react:build:
  image: node:latest
  stage: build
  script:
    - cd react
    - npm install
    - npm run build
  artifacts:
    paths:
      - react/node_modules/

react:test:
  image: amio/node-chrome
  stage: test
  script:
    - cd react
    - npm run test
  dependencies:
    - react:build
